//
//  Extends.h
//  AsReaderScan
//
//  @brief  This is for M24D. The file contains category extensions for several commonly used classes in Objective-C: NSData, UIAlertController, and NSUserDefaults. 
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#ifndef Extends_h
#define Extends_h


#endif /* Extends_h */
#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface NSData (Extensions)

- (NSString *)toHexString;
- (NSString *)toHexAscii;

@end

@interface UIAlertController (Extensions)

+ (void)showAlert:(UIViewController *)viewController
                 title:(NSString *)title
               message:(NSString *)message
                 lists:(NSArray<NSString *> *)lists
            cancelTitle:(NSString *)cancelTitle
         selectionHandler:(void (^)(NSInteger selectedIndex))selectionHandler;

+ (void)showSelectAlert:(UIViewController *)viewController
                       title:(NSString *)title
                     message:(NSString *)message
                       lists:(NSArray<NSString *> *)lists
                  cancelTitle:(NSString *)cancelTitle
                     itemName:(NSString *)itemName
              selectionHandler:(void (^)(NSInteger selectedIndex))selectionHandler;

+ (void)showOkAlert:(UIViewController *)viewController
                  title:(NSString *)title
                message:(NSString *)message;

@end

@interface NSUserDefaults (Extensions)

- (BOOL)boolForKey:(NSString *)key defaultValue:(BOOL)defaultValue;

@end
