//
//  SecurityLevelController.h
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Store.h"

@protocol SecurityLevelControllerDelegate <NSObject>
- (void)updateSecurity;
@end

/**
 *  @brief      This is for M24D. This file defines a view controller for managing and selecting security levels for certain items in the app.
 */
@interface SecurityLevelController : UIViewController <UITableViewDataSource, UITableViewDelegate>

@property (nonatomic, weak) id<SecurityLevelControllerDelegate> delegate;
@property (nonatomic, strong) Store *model;
@property (nonatomic, strong) NSArray<NSString *> *selectLevel;

@end
