//
//  Store.h
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#ifndef Store_h
#define Store_h


#endif /* Store_h */
#import <Foundation/Foundation.h>
#import <AsReaderDockSDK/AsReaderDockSDK.h>
#import "SettingModel.h"
#import "ReaderModel.h"
#import "ParamModel.h"

/**
 *  @brief      This is for M24D. This file defines a singleton class called Store, which acts as a central repository to manage and store application-wide settings and information related to the reader, symbology, and security items.
 */
@interface Store : NSObject

//@property (nonatomic, strong) NSMutableArray<TableItem *> *tableData;
@property (nonatomic, strong) ReaderInfo *readerInfo;
@property (nonatomic, strong) NSMutableArray<SettingItem *> *settingTable;
@property (nonatomic, strong) NSMutableArray<SymbolItemFromArray *> *symbolTableFromArray;
@property (nonatomic, strong) NSMutableArray<SecurityItemFromArray *> *securityTableFromArray;
@property (nonatomic, assign) CodeID codeIDType;

+ (instancetype)shared;
- (void)setAllSymbolEnable;
- (void)setAllSymbolDisable;
- (void)setSymbolEnable:(NSString *)name isEnable:(BOOL)isEnable;
- (void)setSecurityLevel:(NSString *)name level:(NSInteger)level;
- (void)toggleSymbolSwitch:(SymbolItemFromArray *)item;
//- (void)toggleSettingSwitch:(SettingItem *)item;
//- (BOOL)updateTagDataWithTag:(NSString *)tag hexString:(NSString *)hexString header:(NSString *)header;
- (void)updateReaderInfo:(ReaderInfo *)info;
- (void)toggleSettingSwitch:(SettingItem *)item;


@end

