//
//  EpcConverter.h
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import <Foundation/Foundation.h>

#define HEX_STRING (0)
#define ASCII (1)
#define SGTIN96 (2)
#define EAN13 (3)

/**
 *  @brief      The EpcConverter.m file defines a series of methods and extensions that handle the conversion and manipulation of EPC data in various formats. The code includes utilities for converting binary data to human-readable strings, as well as parsing and formatting EPC data into specific standards like SGTIN96 and EAN-13.
 */
@interface EpcConverter : NSObject
+(NSString*) toHexString:(NSData*) data;
+(NSString*) toAscii:(NSData*) data;
+(NSString*) toEAN13:(NSData*) data;
+(NSString*) toSGTIN96:(NSData*) data;
+(NSString*) toString:(NSInteger)type data:(NSData*) data;
+(NSString*) toTypeString:(NSInteger)type;
@end
